#ifndef CDAC_H
#define CDAC_H
#include <iostream>
#include <QDataStream>
class cdac
{
public:
    cdac();
    cdac(std::string name,double outputLevel);

    const std::string &name() const;
    void setName(const std::string &newName);

    double outputLevel() const;
    void setOutputLevel(double newOutputLevel);

    friend QDataStream& operator <<(QDataStream& out,cdac& speaker);
    friend QDataStream& operator >>(QDataStream& in,cdac& speaker);

private:
    std::string m_name;
    double m_outputLevel; // in dBu

};

#endif // CDAC_H
